#*************************************************************************
#
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
# 
# Copyright 2008 by Sun Microsystems, Inc.
#
# OpenOffice.org - a multi-platform office productivity suite
#
# $RCSfile: makefile.mk,v $
#
# $Revision: 1.15 $
#
# This file is part of OpenOffice.org.
#
# OpenOffice.org is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License version 3
# only, as published by the Free Software Foundation.
#
# OpenOffice.org is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License version 3 for more details
# (a copy is included in the LICENSE file that accompanied this code).
#
# You should have received a copy of the GNU Lesser General Public License
# version 3 along with OpenOffice.org.  If not, see
# <http://www.openoffice.org/license.html>
# for a copy of the LGPLv3 License.
#
#*************************************************************************

PRJ=..$/..$/..

PRJNAME=dtrans
TARGET=dtobjfact
ENABLE_EXCEPTIONS=TRUE
LIBTARGET=NO

# --- Settings -----------------------------------------------------

.INCLUDE :  settings.mk

# ------------------------------------------------------------------

#-DUNICODE -D_UNICODE
.IF "$(COM)"!="GCC"
CFLAGS+=-GR -Ob0
.ENDIF

SLOFILES=$(SLO)$/DtObjFactory.obj\
         $(SLO)$/APNDataObject.obj\
         $(SLO)$/DOTransferable.obj\
         $(SLO)$/DTransHelper.obj\
         $(SLO)$/XTDataObject.obj\
         $(SLO)$/TxtCnvtHlp.obj\
         $(SLO)$/DataFmtTransl.obj\
         $(SLO)$/FmtFilter.obj\
         $(SLO)$/FetcList.obj\
         $(SLO)$/Fetc.obj\
         $(SLO)$/XNotifyingDataObject.obj

LIB1TARGET=$(SLB)$/$(TARGET).lib
.IF "$(COM)"!="GCC"
LIB1OBJFILES=$(SLOFILES)
.ELSE
LIB1OBJFILES=$(SLO)$/DtObjFactory.obj\
         $(SLO)$/APNDataObject.obj\
         $(SLO)$/DOTransferable.obj\
         $(SLO)$/DTransHelper.obj\
         $(SLO)$/XTDataObject.obj\
         $(SLO)$/TxtCnvtHlp.obj\
         $(SLO)$/DataFmtTransl.obj\
         $(SLO)$/FmtFilter.obj\
         $(SLO)$/FetcList.obj\
         $(SLO)$/Fetc.obj
.ENDIF

# --- Targets ------------------------------------------------------

.INCLUDE :	target.mk
